
Name:		libva-utils
Version:	2.20.1
Release:    1%{?dist}
Summary:	Tools for VAAPI (including vainfo)
License:	MIT and BSD
URL:		https://github.com/intel/libva-utils
Source0:	%{url}/archive/%{version}%{?pre_release}/%{name}-%{version}%{?pre_release}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc-c++

BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libdrm-devel
BuildRequires:  libva-devel
%{!?_without_wayland:
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(wayland-client) >= 1
BuildRequires:  pkgconfig(wayland-scanner) >= 1
}

%description
The libva-utils package contains tools that are provided as part
of libva, including the vainfo tool for determining what (if any)
libva support is available on a system.


%prep
%autosetup -p1 -n %{name}-%{version}%{?pre_release}


%build
%meson \
%{?_with_tests: -Dtests=true} \
%{?_without_wayland: -Dwayland=false}

%meson_build


%install
%meson_install


%files
%license COPYING
%doc CONTRIBUTING.md README.md
%{_bindir}/av1encode
%{_bindir}/vainfo
%{_bindir}/loadjpeg
%{_bindir}/jpegenc
%{_bindir}/avcenc
%{_bindir}/avcstreamoutdemo
%{_bindir}/h264encode
%{_bindir}/hevcencode
%{_bindir}/mpeg2vldemo
%{_bindir}/mpeg2vaenc
%{_bindir}/putsurface
%{_bindir}/sfcsample
%{?_with_tests:%{_bindir}/test_va_api}
%{_bindir}/vacopy
%{_bindir}/vavpp
%{_bindir}/vp8enc
%{_bindir}/vp9enc
%{_bindir}/vpp3dlut
%{_bindir}/vppblending
%{_bindir}/vppchromasitting
%{_bindir}/vppdenoise
%{_bindir}/vpphdr_tm
%{_bindir}/vppscaling_csc
%{_bindir}/vppscaling_n_out_usrptr
%{_bindir}/vppsharpness
%{!?_without_wayland:%{_bindir}/putsurface_wayland}


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.20.1-1
- initial build
